Package csb :: Package bio :: Package io :: Module mrc :: Class DensityMapReader

[frames] | no frames]

# Class DensityMapReader

source code

    object --+
             |
            DensityMapReader

Binary MRC density map reader.

Instance Methods

__init__(self, filename) x.__init__(...) initializes x; see help(type(x)) for signature | source code

HeaderInfo

inspect_header(self, order=`'``=``'`) Parse the raw binary header of the density map. | source code

DensityInfo

read(self) Read the entire density map. | source code

DensityInfo

read_header(self) Read the header of the density map only. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| HEADER_SIZE = `1024`

Properties
str | filename Input MRC file name
Inherited from `object`: `__class__`

Method Details

### __init__(self, filename)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `filename` (str) - input MRC file name
Overrides: object.__init__
  (inherited documentation)

### inspect_header(self, order=`'``=``'`)

source code

Parse the raw binary header of the density map.

Parameters:
  - `order` (str) - byte order (defaults to ByteOrder.NATIVE)
Returns: HeaderInfo
  header information

### read(self)

source code

Read the entire density map.

Returns: DensityInfo
  complete density info

### read_header(self)

source code

Read the header of the density map only.

Returns: DensityInfo
  density info without any actual data (density.data is None)

Property Details

### filename

Input MRC file name

Get Method:
  unreachable.filename(self) - Input MRC file name
Type:
  str